/*
*  Rubrica
*  file: view.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_VIEW_H
#define _RUBRICA_VIEW_H

/* private */
typedef enum {
  VISTA_SCHEDE = 0,
  VISTA_DATI,
  ULTIMA_VISTA
} TIPO_VISTA;


typedef struct _InfoRubrica {
  gint riga;
  gint colonna;
  gboolean selezionato;
} InfoRubrica;

typedef struct _VistaDati {
  GtkWidget *schede;
  GtkWidget *dati;
  
  GtkWidget *progressbar;
  GtkWidget *label_nomefile;
  
  InfoRubrica schedeinfo;
  InfoRubrica datiinfo;       // Non usato attualmente

  gint maxrow;                /* max rox in current clist */
  gint maxcol;                /* max col in current clist */
  gint totale_indirizzi;
} VistaDati;


/* metodi */

/*  inizializzazione e prelievo dei dati della vista 
*/

void rubrica_view_init(GtkWidget *schede, GtkWidget *dati, GtkWidget *pbar);
void rubrica_view_get_vista(VistaDati *vista);

/*    metodi per impostare o prendere i valori della vista */

/*    Prelievo delle Clist  
      get card's clist pointer
      set card's clist pointer
      get data's clist pointer
*/
void rubrica_view_set_schede(GtkWidget *clist);
GtkCList *rubrica_view_get_schede(void);
GtkCList *rubrica_view_get_dati(void);


/* Get - Set string from/in label */
void rubrica_view_set_file_label_str(gchar *str);
gchar *rubrica_view_get_file_label_str(void);


/* Get - Set info 
   get struct InfoRubrica
   set struct InfoRubrica
*/
void rubrica_view_get_info(InfoRubrica *i, TIPO_VISTA t);
void rubrica_view_set_info(InfoRubrica i, TIPO_VISTA t);

/* Get - Set - Inc - Dec Indirizzi 
   get - get the number of inserted address
   set - get the number of inserted address to #
   inc - increase the number of inserted address
   dec - decrease the number of inserted address
*/
gint rubrica_view_get_indirizzi(void);
void rubrica_view_set_indirizzi(gint n);
void rubrica_view_inc_indirizzi(void);
void rubrica_view_dec_indirizzi(void);

void rubrica_view_set_max_row_col(gint row, gint col);
void rubrica_view_get_max_row_col(gint *row, gint *col);

/* Get - Set 
   get current card #
   set current card to #
*/
void rubrica_view_set_scheda_corrente(gint n);
gint rubrica_view_get_scheda_corrente(void);


#endif










